using Entities.Contracts;
using System;
using System.ComponentModel.DataAnnotations;

namespace Entities.DTO
{
    public class ExamDto
    {
        public Guid Id { get; set; } = Guid.NewGuid();

        [Required(ErrorMessage = "考试标题是必填项。")]
        [StringLength(255, ErrorMessage = "考试标题不能超过 255 个字符。")]
        public string Title { get; set; }

        public string Description { get; set; }

		public byte TotalQuestions { get; set; }

		public float Score { get; set; }

		public string Name { get; set; }





		[Required(ErrorMessage = "截止日期是必填项。")]
		public DateTime DueDate { get; set; }

		public Guid SubjectId { get; set; }

        public Guid ExamTypeId { get; set; }

        public Guid CreatorId { get; set; }

		//public Guid ExamStructId { get; set; } 


		public ExamQuestionDto ExamStruct { get; set; } = new ExamQuestionDto();

        public DateTime CreatedAt { get; set; }
        public DateTime UpdatedAt { get; set; }
    }
}
